<mat-card>
    <form [formGroup]="this.registerForm">
        
        <div class="row">
            <div class="col-2">
                <mat-form-field appearance="fill">
                    <mat-label>คำนำหน้า</mat-label>
                    <mat-select [formControl]="this.registerForm.controls.prefix">
                        <mat-option *ngFor="let prefix of prefixs" [value]="prefix.value">
                        {{prefix.viewValue}}
                        </mat-option>
                    </mat-select>
                </mat-form-field>
            </div>

            <div class="col-5">
                <mat-form-field  class="">
                    <mat-label>ชื่อภาษาไทย</mat-label>
                    <input matInput  [formControl]="this.registerForm.controls.firstName" placeholder="ชื่อภาษาไทย">
                </mat-form-field>
            </div>
        
            <div class="col-5">
                <mat-form-field class="">
                    <mat-label>นามสกุลภาษาไทย</mat-label>
                    <input matInput [formControl]="this.registerForm.controls.lastName"  placeholder="นามสกุลภาษาไทย">
                </mat-form-field>
            </div>
        </div>

        <div class="row">
            <div class="col-12">
                <mat-form-field class="">
                    <mat-label>เลขประจำตัวประชาชน</mat-label>
                    <input maxlength="13" matInput [formControl]="this.registerForm.controls.citizenId" placeholder="เลขประจำตัวประชาชน">
                </mat-form-field>
            </div>
        </div>
        
        <div class="row">
            <div class="col-12">
                <mat-form-field class="">
                    <mat-label>รหัสหลังบัตรประจำตัวประชาชน</mat-label>
                    <input matInput [formControl]="registerForm.controls.backCard" placeholder="รหัสหลังบัตรประจำตัวประชาชน">
                </mat-form-field>
            </div>
        </div>

        <div class="row">
            <div class="col-12">
                <mat-radio-group aria-label="Select an option"  >
                    <mat-radio-button value="1" checked>มีวัน/เดือน/ปีเกิด</mat-radio-button>
                    <mat-radio-button value="2">มีเฉพาะเดือนและปีเกิด</mat-radio-button>
                    <mat-radio-button value="3">มีเฉพาะปีเกิด</mat-radio-button>
                </mat-radio-group>
            </div>
        </div>

        <div class="row">
            <div class="col-4">
                <mat-form-field appearance="fill">
                    <mat-label>ปี</mat-label>
                    <mat-select [formControl]="this.registerForm.controls.year" required>
                    <mat-option *ngFor="let year of years" [value]="year.value">
                        {{year.value}}
                    </mat-option>
                    </mat-select>
                </mat-form-field>
            </div>
    
            <div class="col-4">
                <mat-form-field appearance="fill">
                    <mat-label>เดือน</mat-label>
                    <mat-select [formControl]="this.registerForm.controls.month" required>
                        <mat-option *ngFor="let month of months" [value]="month">
                            {{month}}
                        </mat-option>
                    </mat-select>
                </mat-form-field>
            </div>

            <div class="col-4">
                <mat-form-field appearance="fill">
                    <mat-label>วัน</mat-label>
                    <mat-select [formControl]="this.registerForm.controls.day" required>
                    <mat-option *ngFor="let day of days" [value]="day">
                        {{day}}
                    </mat-option>
                    </mat-select>
                </mat-form-field>
            </div>
        </div>

        <div class="row">
            <div class="col-12">
                <mat-form-field >
                    <mat-label>Email</mat-label>
                    <input matInput [formControl]="this.registerForm.controls.email" 
                        placeholder="Ex. pat@example.com">
                    <mat-hint>Errors appear instantly!</mat-hint>
                    <mat-error *ngIf="this.registerForm.controls.email.hasError('email') && !this.registerForm.controls.email.hasError('required')">
                        Please enter a valid email address
                    </mat-error>
                    <mat-error *ngIf="this.registerForm.controls.email.hasError('required')">
                        Email is <strong>required</strong>
                    </mat-error>
                </mat-form-field>
            </div>
        </div>
        <div class="row" >
            <div class="col-12" style="text-align:center;">
                <button type ="submit" mat-raised-button color="primary" >Submit</button>
            </div>
        </div>
    </form>
</mat-card>
